Bug 460195 - Need SCSI transport and LLD netlink support.
Need SCSI transport and LLD netlink support.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: beta
: ---
Assigned To: Tom Coughlan
Martin Jenner
: FutureFeature, OtherQA
Depends On:
Blocks: 431464
  Show dependency treegraph
Reported: 2008-08-26 14:19 EDT by Alex Iannicelli
Modified: 2009-06-20 01:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 15:09:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to give transport and LLDs access to SCSI netlink. (19.43 KB, patch)
2008-08-26 14:19 EDT, Alex Iannicelli
no flags Details | Diff
Reworked version of scsi_host_lookup() patch (2.49 KB, patch)
2008-08-29 15:23 EDT, James Smart
no flags Details | Diff
Reworked version of scsi_netlink patch (17.34 KB, patch)
2008-08-29 15:24 EDT, James Smart
no flags Details | Diff

  None (edit)
Description Alex Iannicelli 2008-08-26 14:19:23 EDT
Created attachment 315023 [details]
Patch to give transport and LLDs access to SCSI netlink. 

Description of problem:
The SCSI LLDs need to have access to the SCSI netlink socket. The LLDs need this support to be able to send and receive messages to applications running in user space for management purposes. The specific use case is for the lpfc driver to add DH-CHAP authentication support. The lpfc driver uses a user mode application to perform the authentication calculations.

Access the proposed patch to the fc_transport here: http://marc.info/?l=linux-scsi&m=121831854713677&w=2

Emulex will update https://bugzilla.redhat.com/show_bug.cgi?id=441746 with changes to use this patch.
Comment 2 James Smart 2008-08-27 11:27:16 EDT
The scsi netlink patch set (not fc_transport) that was referenced really needs the associated bugfix for scsi_host_lookup.  See

This has been pulled into Bottomley's scsi-misc-2.6 tree.
Comment 4 Mike Christie 2008-08-27 12:39:34 EDT

Do you have any idea on when James might merge the netlink code into scsi-misc?
Comment 5 James Smart 2008-08-27 12:46:53 EDT
Nope. Given Q, the original requester/poster sees it as workable, I don't think there's any issue. I'll ping him.
Comment 6 Tom Coughlan 2008-08-28 18:04:08 EDT
Neither of these patches applies properly to RHEL 5.2. Please port them to 5.2 and post them here. Thanks.
Comment 9 James Smart 2008-08-29 15:02:42 EDT
I've recut the patches for the 5.2 kernel. We're busy testing them now, but as it's late in the day, we may not have results until Tuesday.  I can post the un-tested patches if desired.
Comment 10 Tom Coughlan 2008-08-29 15:13:04 EDT
Yes, please post them.
Comment 11 James Smart 2008-08-29 15:23:43 EDT
Created attachment 315394 [details]
Reworked version of scsi_host_lookup() patch
Comment 12 James Smart 2008-08-29 15:24:26 EDT
Created attachment 315395 [details]
Reworked version of scsi_netlink patch
Comment 13 Andrius Benokraitis 2008-09-02 13:27:05 EDT
Any status on testing of the patches, Emulex?
Comment 14 Alex Iannicelli 2008-09-02 13:47:51 EDT
Testing has shown that the patch is working as expected. I was able to get the lpfc driver loaded and communicating across the SCSI netlink socket without any changes to the submitted patch.
Comment 15 James Smart 2008-09-04 14:20:52 EDT
Both of the patches, corresponding to comments #11 and #12, have been pulled by James Bottomley into the scsi-misc-2.6 git tree.
Comment 17 Don Zickus 2008-09-11 15:44:11 EDT
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 20 Chris Ward 2008-11-18 13:13:51 EST
~~ Snapshot 3 is now available ~~ 

Snapshot 3 is now available for Partner Testing, which should contain a fix that resolves this bug. ISO's available as usual at ftp://partners.redhat.com. Your testing feedback is vital! Please let us know if you encounter any NEW issues (file a new bug) or if you have VERIFIED the fix is present and functioning as expected (add PartnerVerified Keyword).

Ping your Partner Manager with any additional questions. Thanks!
Comment 21 Chris Ward 2008-11-28 01:45:24 EST
~~ Attention ~~ Snapshot 4 is now available for testing @ partners.redhat.com ~~

Partners, it is vital that we get your testing feedback on this important bug fix / feature request. If you are unable to test, please clearly indicate this in a comment to this bug or directly with your partner manager. If we do not receive your test feedback, this bug is at risk from being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner manager to review. We are no longer excepting new bugs into the release, bar critical regressions.
Comment 22 Chris Ward 2008-12-04 05:18:18 EST
Emulex, what is the current status of this bug fix? The fix should be present in the latest RHEL5.3 Snapshot. Please test and send feedback ASAP.
Comment 23 Alex Iannicelli 2008-12-04 09:09:50 EST
Yes, it looks good.
Comment 25 errata-xmlrpc 2009-01-20 15:09:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.